html {
    scroll-behavior: smooth;
}

#header {
    width: 100%;
    height: 45vw;
    background-color: antiquewhite;
    opacity: 0.9;
    z-index: -1;
    position: relative;
    top: 0;
}

#header img {
    width: inherit;
    height: inherit;
    opacity: 0.9;
    filter: blur(5px);
}

#header h1 {
    background-color: rgba(0, 0, 0, 0.918);
    position: absolute;
    top: 10vw;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    padding: 5px 20px;
    font-size: 32px;
}

.page-title {
    top: 300px;
}

#body {
    width: 90%;
    height: auto;
    min-height: 500px;
    position: relative;
    margin: -20vw auto 0;
    z-index: 2;
    background-color: white;
    padding: 0 20px;
    box-sizing: border-box;
}

#body img {
    max-width: 100%;
}

#body::before {
    display: table;
    content: ' ';
}

#map-box {
    margin-top: -20px;
    margin-right: 100px;

}

.map {
    width: auto;
    background: white;
    font-size: 16px;
    display: inline-block;
    padding: 5px 20px;
    box-sizing: border-box;
}

.map ul li {
    display: inline-block;
    list-style: none;
}

.map ul li::after {
    content: ' / ';
}

.map ul li:last-child::after {
    content: '';
}

.map ul li a {
    color: blue;
}

.article-date {
    display: block;
    margin: 10px 10px 0 0;
    color: gray;
}

#content{
    display: flex;
    justify-content: space-between;
    gap: 10px;

}

#content-right-box{
    max-width: 100%;
    width:950px;
    height: auto;
}

#content-left-box{
    width: auto;
    height: auto;
}

#content-card{
    width: 300px;
    height: 500px;
    background-color: white;
    position: sticky;
    top: 80px;
}

#content-card-header{
    width: 100%;
    height: 65px;
    background-color: white;
    line-height: 60px;
    box-sizing: border-box;
    padding: 5px;
    display: flex;
    justify-content: space-between;
}

#content-card-buttons-box{
    width: 85px;
    display: flex;
    align-items: center;
    justify-content: space-around;
    margin-left: 10px;
}

#content-card-header h2{
    margin-top: 0;
    display: inline-block;
    font-size: 20px;
}

.content-card-header-image{
    height: 25px;
    display: inline-block;
}

.content-card-header-image-item{
    height: 100%;
    vertical-align: middle;
}

.bookmarked{
    fill: rgb(233 233 11);
}

.bookmark-hoverable:hover path{
    fill: rgb(187, 187, 9);
}

#content-card-image{
    width: 100%;
    overflow: hidden;
    height: 150px;
}

#content-card-summary{
    width: 100%;
    padding: 10px;
    box-sizing: border-box;
    font-size: 14px;
    overflow: hidden;
    height: 150px;
}

#content-card-footer{
    width: 100%;
    position: absolute;
    bottom: 0;

}

#content-card-price{
    display: flex !important;
    justify-content: space-evenly;
    align-items: center;
}

#content-card-progress{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding: 5px;
    gap: 10px;
    margin-bottom: 5px;
}

.progress-bar{
    width: 100%;
    height: 5px;
    background-color: #dccd5c59;
    position: relative;
}

.progress-bar-fill{
    position: absolute;
    width: 0%;
    height: 100%;
    background-color: #DCCD5C;
    opacity: 1;
    left: 0;
    top: 0;
    transition-property: width;
    transition-duration: .8s;
    transition-timing-function: ease-out;
}

.content-card-rate{
    margin-bottom: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;

}

.rate-box{
    display: flex;
    width: 100px;
    flex-wrap: nowrap;
    position: relative;
}

.ratable{
    cursor: pointer;
}

.rate-star-button{
    width: 20px;

}
#content-card-footer > span{
    /* display: block; */
    padding: 5px;
}

.rate-box-fill{
    position: absolute;
    left: 0;
    top: 0;
    display: flex;
    width: 35%;
    overflow: hidden;
    height: 100%;
}

.rate-fill-stars{
    position: absolute;
    display: flex;
    flex-direction: row-reverse;
    left: 0;
    width: 100px;
}

.rate-number{
    position: absolute;
    right:  -30px;
    font-size: 14px;
    top: 5px;
    /* color: #DCCD5C; */
}


#content-card-buy-button{
    display: block;
    width: 100%;
    padding: 10px;
    box-sizing: border-box;
    font-weight: bold;
}

video{
    width: 100%;
}

.videos-parent-shadow{
    filter: drop-shadow( 0px 2px 6px #949494);
}
#videos-box{
    width: 100%;
    height: auto;
    background-color: white;
    margin-top: 100px;
}

#videos-box > h3{
    font-size: 24px;
    padding: 20px;
    margin: 0;
    text-align: center;
}

.video-box{
    -webkit-box-shadow: 0px 2px 10px -3px #949494;
box-shadow: 0px 2px 10px -3px #949494;
    margin-top: 5px;
    width: 100%;
    height: 50px;
    overflow: hidden;
    transition: all 0.5s linear;
}

.open{
}

.open .opener img{
    transform: rotate(180deg);
    transition: all 0.3s linear;
}

.video-content{
    padding: 50px;
}

.video-bar{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 50px;
}

.video-title{
    margin-right: 20px;
}


.video-box-left{
    height: 100%;
    display: flex;
    align-items: center;
    width: 300px;
    justify-content: space-between;
}

.status{
    width: 200px;
    text-align: left;
}

.opener{
    width: 60px;
    height: 100%;
    display: block;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.opener img{
    vertical-align: middle;
    display: block;
    transition: all 0.3s linear;
}

.unlocked{
    background-color: #249DC2;
    cursor: pointer;
}

.unlocked img{
    height: 15px;
}

.locked{
    background-color: #92CFE2;
    cursor: not-allowed;
}

.locked img{
    height: 20px;
}
#course-price{
    text-align: center;
    margin-top: 80px;
    font-size: larger;
}

.real-price{
    font-size: 14px;
    font-weight: lighter;
    text-decoration: line-through;
    opacity: 0.6;;
}



#main-real-price{
    display: block;
    text-align: center;
    margin-top: 5px;
    font-size: 20px;
}

#main-sail-price{
    margin-top: 5px;
    display: block;
    font-size: 25px;
}

#course-buttons-box{
    padding: 50px;
}

.course-button{
    width: 250px;
    height: 50px;
    display: block;
    text-align: center;
    margin: 20px auto;
    display: flex;
    align-items: center;
    justify-content: space-around;
    font-weight: bold;
}

.course-button img{
    height: 70%;
}

#courses-title{
    margin-top: 100px;
}

.box-container{
    width: 95%;
    margin: auto;
    filter: drop-shadow(0px 10px 5px rgba(0,0,0,0.1));
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    gap: 10px;
}

.box{
    width: 350px;
    height: 450px;
    background-color: white;
    z-index: 1;
    position: relative;

}

.box-image-container{
    width: 100%;
    height: 200px;
    background-color: aliceblue;
}

.box-image{
    height: 100%;
    min-width: 100%;
}

.box-content{
    width: 100%;
    height: calc(100% - 200px);
    box-sizing: border-box;
    padding: 0 10px;
}

.box-description{
    font-size: 14px;
}

.box-footer{
    width: 100%;
    height: 50px;
    position: absolute;
    bottom: 0;
    line-height: 50px;
    display: flex;
    justify-content: space-between;
}

.course-price{
    box-sizing: border-box;
    padding: 0 10px;
    background-color: white;
    display: inline-block;
    width: 50%;
    text-align: center;
    font-size: 20px;
    position: relative;
}

.course-real-price{
    position: absolute;
    top: -25px;
    /* font-size: 14px;
    opacity: 0.5; */
}

.course-link{
    box-sizing: border-box;
    padding: 0 10px;
    display: inline-block;
    width: 50%;
}



#comment {
    width: 100%;
    height: auto;
    border: 1px solid black;
    margin-top: 100px;
    margin-bottom: 50px;
}

#comment h4 {
    margin-right: 20px;
}

.register-comment {
    border-top: 1px solid black;
    width: 100%;
    height: auto;
    padding: 20px;
    box-sizing: border-box;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-items: flex-end;
    align-content: space-around;
}

.register-comment textarea {
    width: 100%;
    height: 200px;
    font-size: 18px;
    font-family: iransans;
    padding: 5px 5px;
}

.comment-input {
    width: 100%;
    height: 40px;
    font-size: 18px;
    box-sizing: border-box;
}

.input-box {
    width: 400px;
    height: auto;
    display: inline-block;
    margin-top: 10px;
}

#btn-box {
    width: 150px;
}

.input-box label {
    display: block;
}

#comment-btn {
    width: 150px;
    height: 40px;
    background-color: #59c0df;
    color: white;
    font-size: 18px;
    font-family: iransans;
    cursor: pointer;
    border: 1px solid black;
    transition: background-color .2s ease-in;
}

#comment-btn:hover {
    background-color: #59DFCD;
    transition: background-color .3s ease-out;
}

#comments {
    width: 100%;
    height: auto;
    border-top: 1px solid black;
    box-sizing: border-box;
    padding: 10px;
    margin-top: 50px;
}

.comment-item {
    position: relative;
    border-right: 1px solid #707070ad;
    padding-right: 10px;
    /* width: 100%; */
    width: calc(100% - 30px);
    height: auto;
    box-sizing: border-box;
    margin-right: 20px;
    margin-bottom: 20px;
    padding-bottom: 0.1px;
}

#comments>.comment-item {
    margin-bottom: 30px;
}

.hoverable {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    z-index: 0;
}

.hoverable:hover~.replyLink,
.comment-form:hover~.replyLink,
.comment-element:hover~.replyLink {
    opacity: 1;
    transition: opacity .3s ease-in;
}

.comment-element {
    z-index: 2;
    position: relative;
}

.comment-item>.comment-item {
    background-color: #00000007;
}

.comment-item>.comment-item>.comment-item {
    background-color: white;
}

.comment-item>.comment-item>.comment-item>.comment-item {
    background-color: #00000007;
}

.replyLink {
    background-color: #27517F;
    color: white;
    font-weight: bold;
    position: absolute;
    top: 0;
    left: 10px;
    padding: 5px 10px;
    box-sizing: border-box;
    border: 2px solid #27517F;
    transition-property: opacity, color, background-color;
    transition-duration: .3s;
    transition-timing-function: ease-out;
    font-size: 13px;
    opacity: 0;
    z-index: 2;
}

.replyLink:hover {
    opacity: 1;
    background-color: white;
    color: #27517F;
    transition: all .2s ease-in;
}

.register-reply {
    border-top: none;
}

.comment-form {
    width: 100%;
    height: auto;
    display: none;
    z-index: 1;
    position: relative;
}

.comment-name {
    font-size: 18px;
    font-weight: bold;
}

.comment-body {
    font-size: 15px;
    padding-bottom: 10px;
}

.categories {
    width: 100%;
    box-sizing: border-box;
    padding: 0 10px;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    align-content: space-around;
    margin-top: 50px;
}

.bottom-float-box{
    display: none;
    width: 100%;
    position: fixed;
    bottom: 0;
    padding: 5px 20px;
    box-sizing: border-box;
    background-color: white;
    box-shadow: -5px 0px 8px 1px #c0bebe;
    height: 150px;
    z-index: 200;
}

.bottom-float-content{
    width: 100%;
    max-width: 400px;
    margin: auto;
}

.bottom-float-details{
    display: flex;
    justify-content: space-between;
    height: 60%;
    width: 100%;
    align-items: center;
}

.bottom-float-price-box .sail-price{
    margin-top: 0 !important;
}

.bottom-float-buy-button{
    display: flex;
    width: 100%;
    padding: 10px;
    box-sizing: border-box;
    font-weight: bold;
    height: 40%;
    font-size: 22px;
    justify-content: center;
    align-items: center;
}

.bottom-float-rate-box .content-card-rate{
    display: block;
}

.no-videos{
    width: 100%;
    text-align: center;
    background-color: #ededed;
    box-sizing: border-box;
    padding: 5px;
}

@media screen and (max-width:950px) {
    .article-box {
        margin: 10px 0;
    }

    .status{
        font-size: 14px;
    }
}

@media screen and (max-width:636px) {
    #map-box {
        margin-right: 0;
        align-self: center;
        text-align: center;
        width: 100%;
    }
    .map {
        width: 100%;
        min-width: none;
    }
    #body {
        width: 100%;
        margin-top: 0;
    }
    .related h3 {
        align-self: center;
        text-align: center;
    }

    #header{
        height: 50vw;
    }

    #header h1{
        font-size: 6vw;
        top: 20vw;
    }

    .status{
        width: unset;
    }

    #course-buttons-box{
        padding: 50px 0;
    }

}

@media screen and (max-width:550px) {
    .register-comment {
        justify-content: center;
    }
    .replyLink {
        opacity: 1;
        font-size: 10px;
    }

    .article-date{
        text-align: center;
    }

    .video-title{
        font-size: 16px;
    }

    .video-box-left{
        width: auto;
        gap: 5px;
    }
}

@media screen and (max-width:850px) {
    #content-left-box{
        display: none;
    }

    .bottom-float-box{
        display: block;
    }
}

@media screen and (max-width:740px) {
    .share-link {
        display: none;
    }
    
}

@media screen and (max-width:378px) {
    .article-footer-item {
        margin: 0 1%;
    }
}
